Geek Social — Documentação
API ReferenceCollections

GET /collections/items

Listar todos os itens do usuário

GET/collections/itemsAuth: accessToken

Lista todos os itens de todas as coleções do usuário autenticado, com suporte a busca textual, paginação por cursor e filtros.

Request

Query Parameters

ParamTipoDescrição
qstringBusca textual por nome
cursorstringCursor de paginação
limitnumber (1–100)Quantidade de resultados (padrão: 30)
sortrecent|oldest|name|name_desc|ratingOrdenação dos resultados
collection_iduuidFiltrar por coleção específica

Response

200

{
  "items": [
    {
      "id": "uuid",
      "collectionId": "uuid",
      "name": "string",
      "coverUrl": "string | null",
      "fields": {},
      "rating": "number | null",
      "comment": "string | null",
      "createdAt": "ISO 8601",
      "collectionName": "string",
      "collectionTypeKey": "string",
      "collectionTypeIcon": "string"
    }
  ],
  "nextCursor": "string | null"
}

Erros

CódigoDescrição
401Não autenticado

Exemplos

curl -X GET 'https://geeksocialapi.homelab-cloud.com/collections/items' \
  -H 'Authorization: Bearer SEU_ACCESS_TOKEN'
await fetch('https://geeksocialapi.homelab-cloud.com/collections/items', {
  method: 'GET',
  headers: { Authorization: 'Bearer ' + accessToken },
})

On this page